# Screen settings
"""
Configuration settings for the MEM679 Snake game.

Attributes:
    SCREEN_WIDTH (int): The width of the game screen in pixels.
    SCREEN_HEIGHT (int): The height of the game screen in pixels.
    BLOCK_SIZE (int): The size of each block in the game grid in pixels.

    WHITE (tuple): RGB color code for white.
    BLACK (tuple): RGB color code for black.
    GREEN (tuple): RGB color code for green.
    RED (tuple): RGB color code for red.

    FPS (int): Frames per second, controlling the game speed.
"""
SCREEN_WIDTH = 800
SCREEN_HEIGHT = 600
BLOCK_SIZE = 20

# Colors
WHITE = (255, 255, 255)
BLACK = (0, 0, 0)
GREEN = (0, 255, 0)
RED = (255, 0, 0)

# Game settings
FPS = 10
